<?php 
class controller_component_comments extends component {
	public function action_index() {
		$this->load_model('component', 'pages');
		
		if (isset($this->url['params']['page']) && $this->url['params']['page'] > 0) {
			$page = (int)$this->url['params']['page'];
		} else {
			$page = 1;
		}
		
		$start = ($page - 1) * $this->component_config['comments_per_page'];
		$limit = $page * $this->component_config['comments_per_page'];
		
		$this->data['total'] = $this->model->get_total_comments();
		
		$this->data['comments'] = array();
		
		$data = array(
			'start' => $start,
			'limit' => $limit,
			'order' => 'date_add DESC'
		);
		
		$comments = $this->model->get_comments($data);
		
		foreach ($comments as $comment) {
			if ($comment['page_id']) {
				$url = SITE_URL . $this->model_component_pages->get_page_url($comment['page_id']);
			} else {
				$url = SITE_URL . $comment['url'];
			}
			
			$url_info = parse_url($comment['user_site']);
			
			if ($url_info && isset($url_info['host']) || (isset($url_info['path']) && !empty($url_info['path']))) {
				$user_site_href = 'http://';
				
				if (isset($url_info['host'])) {
					$user_site_href .= $url_info['host'];
				} else {
					$user_site_href .= $url_info['path'];
				}
			} else {
				$user_site_href = false;
			}
			
			$this->data['comments'][] = array(
				'id'             => $comment['id'],
				'user_name'      => $comment['user_name'],
				'user_email'     => $comment['user_email'],
				'user_site'      => $comment['user_site'],
				'user_site_href' => $user_site_href,
				'text'           => $comment['text'],
				'url'            => $url,
				'date_add'       => date('d.m.Y', $comment['date_add'])
			);
		}
		
		$this->load_helper('breadcrumbs');
		$this->helper_breadcrumbs->add('Главная', SITE_URL);
		$this->helper_breadcrumbs->add($this->component_info['name'], SITE_URL . '/' . $this->component_info['url']);
		
		$this->data['breadcrumbs'] = $this->helper_breadcrumbs->render();
		
		$this->load_helper('pagination');
		$this->helper_pagination->total = $this->data['total'];
		$this->helper_pagination->page = $page;
		$this->helper_pagination->url = $this->url['component'] . '/page={page}';
		$this->helper_pagination->limit = $this->component_config['comments_per_page'];
		
		$this->data['pagination'] = $this->helper_pagination->render();
		
		$this->data['show_email_field'] = $this->component_config['show_email_field'];
		$this->data['show_site_field'] = $this->component_config['show_site_field'];
		$this->data['page_name'] = $this->component_info['name'];
		
		$this->page['head'] = $this->add_css_file(SITE_URL . '/modules/components/' . $this->component_name . '/front_end/views/style.css');
		$this->page['html'] = $this->load_view();
		
		return $this->page;
	}
}
 ?>